Package org.pentaho.reporting.libraries.repository

# Class ContentCreationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pentaho.reporting.libraries.base.util.StackableException
org.pentaho.reporting.libraries.repository.ContentIOException
org.pentaho.reporting.libraries.repository.ContentCreationException

All Implemented Interfaces:
  `Serializable`

public class ContentCreationException extends ContentIOException
A exception that indicates that a new ContentEntry could not be created in the repository.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContentCreationException()`
Creates a ContentCreationException with no message and no parent.
`ContentCreationException(String message)`
Creates an ContentCreationException.
`ContentCreationException(String message, Exception ex)`
Creates an ContentCreationException.

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException

`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContentCreationException

public ContentCreationException()
Creates a ContentCreationException with no message and no parent.

### ContentCreationException

public ContentCreationException(String message, Exception ex)
Creates an ContentCreationException.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

### ContentCreationException

public ContentCreationException(String message)
Creates an ContentCreationException.

Parameters:
  `message` - the exception message.